#!/bin/bash

. /usr/lib/tuned/functions

PROFILE=/etc/profile.d/env.sh
DIR="/usr/local/share/kylin-mod"
_JAVA_OPTIONS="-XX:+UseNUMA -XX:-UseNUMAInterleaving"

if [[ $(uname -m) == "loongarch64" ]]
then
    _JAVA_OPTIONS="-XX:+UseNUMA"
fi

set_env(){
    if [ ! -f $PROFILE ]; then
        touch $PROFILE
    fi
    echo "export _JAVA_OPTIONS=\"$_JAVA_OPTIONS\"" >> $PROFILE
}

modules_install(){
    if [ -d $DIR ];then
        for i in $(ls $DIR);do
            insmod $DIR/$i
        done
    fi
}

modules_remove(){
    if [ -d $DIR ];then
        for i in $(ls $DIR);do
            mod=$(echo $i|cut -d. -f 1) 
            rmmod $mod
        done
    fi
}

start() {
    set_env
    modules_install
}

stop() {
    rm -f $PROFILE
    modules_remove
}

process $@
