#!/bin/bash

. /usr/lib/tuned/functions

AFFINITY_ENV=`LANG=C lscpu | grep On-line | grep -o '0-[0-9]*'`
PROFILE=/etc/profile.d/env.sh

set_env(){
    if [[ $(uname -m) != "loongarch64" ]]
    then
        if [ ! -f $PROFILE ]; then
            touch $PROFILE
        fi
        echo "export GOMP_CPU_AFFINITY=\"$AFFINITY_ENV\"" > $PROFILE
    fi
}

start() {
    set_env
}

stop() {
    rm -f $PROFILE
}

process $@
